Class | CGI::Session::NullStore
In: | cgi/session.rb
Parent: | Object

Dummy session storage class.

Implements session storage place holder. No actual storage will be done.

### Methods

close delete new restore update

### Public Class methods

new(session, option=nil)

Create a new NullStore instance.

`session` is the session this instance is associated with. `option` is a list of initialisation options. None are currently recognised.

[Source]

    # File cgi/session.rb, line 498
          def initialize(session, option=nil)
          end

### Public Instance methods

close()

Close session storage.

A no-op.

[Source]

    # File cgi/session.rb, line 515
          def close
          end

delete()

Delete the session state.

A no-op.

[Source]

    # File cgi/session.rb, line 521
          def delete
          end

restore()

Restore (empty) session state.

[Source]

    # File cgi/session.rb, line 502
          def restore
            {}
          end

update()

Update session state.

A no-op.

[Source]

    # File cgi/session.rb, line 509
          def update
          end

[Validate]